Package org.apache.wiki.forms

## Class FormClose

- java.lang.Object
- - org.apache.wiki.forms.FormElement
  - - org.apache.wiki.forms.FormClose

All Implemented Interfaces:
  `Plugin`

    public class FormClose
    extends FormElement

Closes a WikiForm.

### Field Summary

### Fields inherited from class org.apache.wiki.forms.FormElement

`FORM_VALUES_CARRIER, HANDLERPARAM_PREFIX, HIDE_SUCCESS, PARAM_ELEMENT, PARAM_FORM, PARAM_FORMNAMEHIDDEN, PARAM_HANDLER, PARAM_HIDEFORM, PARAM_INPUTNAME, PARAM_POPULATE, PARAM_SUBMITHANDLER, PARAM_VALUE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`FormClose()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context ctx, java.util.Map<java.lang.String,​java.lang.String> params)` Builds a Form close tag.

### Methods inherited from class org.apache.wiki.forms.FormElement

`getFormInfo, storeFormInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FormClose

    public FormClose()

### Method Detail

#### execute

    public java.lang.String execute​(Context ctx,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Builds a Form close tag. Removes any information on the form from the WikiContext.

Throws:
  `PluginException`